import { PsAffix } from './components/affix/index.mjs';
import { PsAlert } from './components/alert/index.mjs';
import { PsAutocomplete } from './components/autocomplete/index.mjs';
import { PsAvatar } from './components/avatar/index.mjs';
import { PsBacktop } from './components/backtop/index.mjs';
import { PsBadge } from './components/badge/index.mjs';
import { PsBreadcrumb, PsBreadcrumbItem } from './components/breadcrumb/index.mjs';
import { PsButton, PsButtonGroup } from './components/button/index.mjs';
import { PsCalendar } from './components/calendar/index.mjs';
import { PsCard } from './components/card/index.mjs';
import { PsCarousel, PsCarouselItem } from './components/carousel/index.mjs';
import { PsCascader } from './components/cascader/index.mjs';
import { PsCascaderPanel } from './components/cascader-panel/index.mjs';
import { PsCheckTag } from './components/check-tag/index.mjs';
import { PsCheckbox, PsCheckboxButton, PsCheckboxGroup } from './components/checkbox/index.mjs';
import { PsCol } from './components/col/index.mjs';
import { PsCollapse, PsCollapseItem } from './components/collapse/index.mjs';
import { PsCollapseTransition } from './components/collapse-transition/index.mjs';
import { PsColorPicker } from './components/color-picker/index.mjs';
import { PsConfigProvider } from './components/config-provider/index.mjs';
import { PsContainer, PsAside, PsFooter, PsHeader, PsMain } from './components/container/index.mjs';
import { PsDatePicker } from './components/date-picker/index.mjs';
import { PsDescriptions, PsDescriptionsItem } from './components/descriptions/index.mjs';
import { PsDialog } from './components/dialog/index.mjs';
import { PsDivider } from './components/divider/index.mjs';
import { PsDrawer } from './components/drawer/index.mjs';
import { PsDropdown, PsDropdownItem, PsDropdownMenu } from './components/dropdown/index.mjs';
import { PsEmpty } from './components/empty/index.mjs';
import { PsForm, PsFormItem } from './components/form/index.mjs';
import { PsIcon } from './components/icon/index.mjs';
import { PsImage } from './components/image/index.mjs';
import { PsImageViewer } from './components/image-viewer/index.mjs';
import { PsInput } from './components/input/index.mjs';
import { PsInputNumber } from './components/input-number/index.mjs';
import { PsLink } from './components/link/index.mjs';
import { PsMenu, PsMenuItem, PsMenuItemGroup } from './components/menu/index.mjs';
import { PsPageHeader } from './components/page-header/index.mjs';
import { PsPagination } from './components/pagination/index.mjs';
import { PsPopconfirm } from './components/popconfirm/index.mjs';
import { PsPopover } from './components/popover/index.mjs';
import { PsPopper } from './components/popper/index.mjs';
import { PsProgress } from './components/progress/index.mjs';
import { PsRadio, PsRadioButton, PsRadioGroup } from './components/radio/index.mjs';
import { PsRate } from './components/rate/index.mjs';
import { PsResult } from './components/result/index.mjs';
import { PsRow } from './components/row/index.mjs';
import { PsScrollbar } from './components/scrollbar/index.mjs';
import { PsSelect, PsOption, PsOptionGroup } from './components/select/index.mjs';
import { PsSelectV2 } from './components/select-v2/index.mjs';
import { PsSkeleton, PsSkeletonItem } from './components/skeleton/index.mjs';
import { PsSlider } from './components/slider/index.mjs';
import { PsSpace } from './components/space/index.mjs';
import { PsSteps, PsStep } from './components/steps/index.mjs';
import { PsSwitch } from './components/switch/index.mjs';
import { PsTable, PsTableColumn } from './components/table/index.mjs';
import { PsTabs, PsTabPane } from './components/tabs/index.mjs';
import { PsTag } from './components/tag/index.mjs';
import { PsTimePicker } from './components/time-picker/index.mjs';
import { PsTimeSelect } from './components/time-select/index.mjs';
import { PsTimeline, PsTimelineItem } from './components/timeline/index.mjs';
import { PsTooltip } from './components/tooltip/index.mjs';
import { PsTooltipV2 } from './components/tooltip-v2/index.mjs';
import { PsTransfer } from './components/transfer/index.mjs';
import { PsTree } from './components/tree/index.mjs';
import { PsTreeSelect } from './components/tree-select/index.mjs';
import { PsTreeV2 } from './components/tree-v2/index.mjs';
import { PsUpload } from './components/upload/index.mjs';

var Components = [
  PsAffix,
  PsAlert,
  PsAutocomplete,
  PsAvatar,
  PsBacktop,
  PsBadge,
  PsBreadcrumb,
  PsBreadcrumbItem,
  PsButton,
  PsButtonGroup,
  PsCalendar,
  PsCard,
  PsCarousel,
  PsCarouselItem,
  PsCascader,
  PsCascaderPanel,
  PsCheckTag,
  PsCheckbox,
  PsCheckboxButton,
  PsCheckboxGroup,
  PsCol,
  PsCollapse,
  PsCollapseItem,
  PsCollapseTransition,
  PsColorPicker,
  PsConfigProvider,
  PsContainer,
  PsAside,
  PsFooter,
  PsHeader,
  PsMain,
  PsDatePicker,
  PsDescriptions,
  PsDescriptionsItem,
  PsDialog,
  PsDivider,
  PsDrawer,
  PsDropdown,
  PsDropdownItem,
  PsDropdownMenu,
  PsEmpty,
  PsForm,
  PsFormItem,
  PsIcon,
  PsImage,
  PsImageViewer,
  PsInput,
  PsInputNumber,
  PsLink,
  PsMenu,
  PsMenuItem,
  PsMenuItemGroup,
  PsPageHeader,
  PsPagination,
  PsPopconfirm,
  PsPopover,
  PsPopper,
  PsProgress,
  PsRadio,
  PsRadioButton,
  PsRadioGroup,
  PsRate,
  PsResult,
  PsRow,
  PsScrollbar,
  PsSelect,
  PsOption,
  PsOptionGroup,
  PsSelectV2,
  PsSkeleton,
  PsSkeletonItem,
  PsSlider,
  PsSpace,
  PsSteps,
  PsStep,
  PsSwitch,
  PsTable,
  PsTableColumn,
  PsTabs,
  PsTabPane,
  PsTag,
  PsTimePicker,
  PsTimeSelect,
  PsTimeline,
  PsTimelineItem,
  PsTooltip,
  PsTooltipV2,
  PsTransfer,
  PsTree,
  PsTreeSelect,
  PsTreeV2,
  PsUpload
];

export { Components as default };
//# sourceMappingURL=component.mjs.map
