import type { Ref } from 'vue';
import type { RouteLocationRaw } from 'vue-router';
import type { MenuProps } from './menu';
export interface MenuItemRegistered {
    index: string;
    indexPath: string[];
    active: boolean;
}
export interface MenuItemClicked {
    index: string;
    indexPath: string[];
    route?: RouteLocationRaw;
}
export interface MenuProvider {
    openedMenus: string[];
    items: Record<string, MenuItemRegistered>;
    subMenus: Record<string, MenuItemRegistered>;
    activeIndex?: string;
    isMenuPopup: boolean;
    props: MenuProps;
}
export interface SubMenuProvider {
    mouseInChild: Ref<boolean>;
}
