import installer from './defaults.mjs';
export { default } from './defaults.mjs';
import './components/index.mjs';
import './constants/index.mjs';
import './directives/index.mjs';
import './hooks/index.mjs';
import './tokens/index.mjs';
export { makeInstaller } from './make-installer.mjs';
export { default as dayjs } from 'dayjs';
export { affixProps } from './components/affix/src/affix.mjs';
export { PsAffix } from './components/affix/index.mjs';
export { alertEffects, alertProps } from './components/alert/src/alert.mjs';
export { PsAlert } from './components/alert/index.mjs';
export { autocompleteProps } from './components/autocomplete/src/autocomplete2.mjs';
export { PsAutocomplete } from './components/autocomplete/index.mjs';
export { avatarProps } from './components/avatar/src/avatar.mjs';
export { PsAvatar } from './components/avatar/index.mjs';
export { backtopProps } from './components/backtop/src/backtop.mjs';
export { PsBacktop } from './components/backtop/index.mjs';
export { badgeProps } from './components/badge/src/badge.mjs';
export { PsBadge } from './components/badge/index.mjs';
export { breadcrumbProps } from './components/breadcrumb/src/breadcrumb2.mjs';
export { breadcrumbItemProps } from './components/breadcrumb/src/breadcrumb-item.mjs';
export { PsBreadcrumb, PsBreadcrumbItem } from './components/breadcrumb/index.mjs';
export { buttonNativeTypes, buttonProps, buttonTypes } from './components/button/src/button.mjs';
export { PsButton, PsButtonGroup } from './components/button/index.mjs';
export { calendarProps } from './components/calendar/src/calendar2.mjs';
export { PsCalendar } from './components/calendar/index.mjs';
export { cardProps } from './components/card/src/card.mjs';
export { PsCard } from './components/card/index.mjs';
export { carouselProps } from './components/carousel/src/carousel.mjs';
export { carouselItemProps } from './components/carousel/src/carousel-item.mjs';
export { PsCarousel, PsCarouselItem } from './components/carousel/index.mjs';
export { PsCascader } from './components/cascader/index.mjs';
export { CASCADER_PANEL_INJECTION_KEY, ExpandTrigger } from './components/cascader-panel/src/types.mjs';
export { CommonProps, DefaultProps, useCascaderConfig } from './components/cascader-panel/src/config.mjs';
export { PsCascaderPanel } from './components/cascader-panel/index.mjs';
export { checkTagProps } from './components/check-tag/src/check-tag2.mjs';
export { PsCheckTag } from './components/check-tag/index.mjs';
export { PsCheckbox, PsCheckboxButton, PsCheckboxGroup } from './components/checkbox/index.mjs';
export { colProps } from './components/col/src/col.mjs';
export { PsCol } from './components/col/index.mjs';
export { collapseEmits, collapseProps, emitChangeFn } from './components/collapse/src/collapse.mjs';
export { collapseItemProps } from './components/collapse/src/collapse-item.mjs';
export { PsCollapse, PsCollapseItem } from './components/collapse/index.mjs';
export { PsCollapseTransition } from './components/collapse-transition/index.mjs';
export { PsColorPicker } from './components/color-picker/index.mjs';
export { configProviderProps } from './components/config-provider/src/config-provider.mjs';
export { PsConfigProvider } from './components/config-provider/index.mjs';
export { PsAside, PsContainer, PsFooter, PsHeader, PsMain } from './components/container/index.mjs';
export { PsDatePicker } from './components/date-picker/index.mjs';
export { PsDescriptions, PsDescriptionsItem } from './components/descriptions/index.mjs';
export { useDialog } from './components/dialog/src/use-dialog.mjs';
export { dialogProps } from './components/dialog/src/dialog2.mjs';
export { PsDialog } from './components/dialog/index.mjs';
export { dividerProps } from './components/divider/src/divider2.mjs';
export { PsDivider } from './components/divider/index.mjs';
export { drawerProps } from './components/drawer/src/drawer.mjs';
export { PsDrawer } from './components/drawer/index.mjs';
export { DROPDOWN_COLLECTION_INJECTION_KEY, DROPDOWN_COLLECTION_ITEM_INJECTION_KEY, FIRST_KEYS, FIRST_LAST_KEYS, LAST_KEYS, PsCollection, PsCollectionItem, dropdownItemProps, dropdownMenuProps, dropdownProps } from './components/dropdown/src/dropdown.mjs';
export { DROPDOWN_INJECTION_KEY } from './components/dropdown/src/tokens.mjs';
export { PsDropdown, PsDropdownItem, PsDropdownMenu } from './components/dropdown/index.mjs';
export { emptyProps } from './components/empty/src/empty.mjs';
export { PsEmpty } from './components/empty/index.mjs';
export { formProps } from './components/form/src/form2.mjs';
export { formItemProps, formItemValidateStates } from './components/form/src/form-item.mjs';
export { PsForm, PsFormItem } from './components/form/index.mjs';
export { iconProps } from './components/icon/src/icon.mjs';
export { PsIcon } from './components/icon/index.mjs';
export { imageProps } from './components/image/src/image.mjs';
export { PsImage } from './components/image/index.mjs';
export { imageViewerProps } from './components/image-viewer/src/image-viewer.mjs';
export { PsImageViewer } from './components/image-viewer/index.mjs';
export { inputProps } from './components/input/src/input.mjs';
export { PsInput } from './components/input/index.mjs';
export { inputNumberProps } from './components/input-number/src/input-number.mjs';
export { PsInputNumber } from './components/input-number/index.mjs';
export { linkProps } from './components/link/src/link2.mjs';
export { PsLink } from './components/link/index.mjs';
export { menuProps } from './components/menu/src/menu.mjs';
export { menuItemEmits, menuItemProps } from './components/menu/src/menu-item.mjs';
export { menuItemGroupProps } from './components/menu/src/menu-item-group2.mjs';
export { subMenuProps } from './components/menu/src/sub-menu.mjs';
export { PsMenu, PsMenuItem, PsMenuItemGroup, PsSubMenu } from './components/menu/index.mjs';
export { overlayProps } from './components/overlay/src/overlay.mjs';
export { PsOverlay } from './components/overlay/index.mjs';
export { pageHeaderProps } from './components/page-header/src/page-header.mjs';
export { PsPageHeader } from './components/page-header/index.mjs';
export { paginationProps } from './components/pagination/src/pagination.mjs';
export { PsPagination } from './components/pagination/index.mjs';
export { popconfirmProps } from './components/popconfirm/src/popconfirm.mjs';
export { PsPopconfirm } from './components/popconfirm/index.mjs';
export { useDeprecateAppendToBody } from './components/popper/src/deprecation.mjs';
export { Effect, usePopperProps } from './components/popper/src/popper2.mjs';
export { usePopperTriggerProps } from './components/popper/src/trigger2.mjs';
export { usePopperContentProps, usePopperCoreConfigProps } from './components/popper/src/content.mjs';
export { usePopperArrowProps } from './components/popper/src/arrow.mjs';
export { default as PsPopperArrow } from './components/popper/src/arrow2.mjs';
export { default as PsPopperTrigger } from './components/popper/src/trigger.mjs';
export { default as PsPopperContent } from './components/popper/src/content2.mjs';
export { PsPopper } from './components/popper/index.mjs';
export { progressProps } from './components/progress/src/progress.mjs';
export { PsProgress } from './components/progress/index.mjs';
export { radioEmits, radioProps, radioPropsBase, useRadio } from './components/radio/src/radio2.mjs';
export { radioGroupProps } from './components/radio/src/radio-group.mjs';
export { radioButtonProps } from './components/radio/src/radio-button.mjs';
export { PsRadio, PsRadioButton, PsRadioGroup } from './components/radio/index.mjs';
export { rateProps } from './components/rate/src/rate.mjs';
export { PsRate } from './components/rate/index.mjs';
export { IconComponentMap, IconMap, resultProps } from './components/result/src/result.mjs';
export { PsResult } from './components/result/index.mjs';
export { rowProps } from './components/row/src/row.mjs';
export { PsRow } from './components/row/index.mjs';
export { BAR_MAP, renderThumbStyle } from './components/scrollbar/src/util.mjs';
export { scrollbarProps } from './components/scrollbar/src/scrollbar2.mjs';
export { thumbProps } from './components/scrollbar/src/thumb.mjs';
export { PsScrollbar } from './components/scrollbar/index.mjs';
export { selectGroupKey, selectKey } from './components/select/src/token.mjs';
export { PsOption, PsOptionGroup, PsSelect } from './components/select/index.mjs';
export { selectV2InjectionKey } from './components/select-v2/src/token.mjs';
export { PsSelectV2 } from './components/select-v2/index.mjs';
export { skeletonProps } from './components/skeleton/src/skeleton2.mjs';
export { skeletonItemProps } from './components/skeleton/src/skeleton-item.mjs';
export { PsSkeleton, PsSkeletonItem } from './components/skeleton/index.mjs';
export { PsSlider } from './components/slider/index.mjs';
export { spaceProps } from './components/space/src/space.mjs';
export { useSpace } from './components/space/src/use-space.mjs';
export { PsSpace } from './components/space/index.mjs';
export { PsStep, PsSteps } from './components/steps/index.mjs';
export { switchProps } from './components/switch/src/switch.mjs';
export { PsSwitch } from './components/switch/index.mjs';
export { PsTable, PsTableColumn } from './components/table/index.mjs';
export { tabsEmits, tabsProps } from './components/tabs/src/tabs.mjs';
export { tabBarProps } from './components/tabs/src/tab-bar.mjs';
export { tabNavProps } from './components/tabs/src/tab-nav.mjs';
export { tabPaneProps } from './components/tabs/src/tab-pane2.mjs';
export { PsTabPane, PsTabs } from './components/tabs/index.mjs';
export { tagEmits, tagProps } from './components/tag/src/tag2.mjs';
export { PsTag } from './components/tag/index.mjs';
export { extractDateFormat, extractTimeFormat, rangeArr } from './components/time-picker/src/common/date-utils.mjs';
export { DEFAULT_FORMATS_DATE, DEFAULT_FORMATS_DATEPICKER, DEFAULT_FORMATS_TIME } from './components/time-picker/src/common/constant.mjs';
export { timePickerDefaultProps } from './components/time-picker/src/common/props.mjs';
export { default as CommonPicker } from './components/time-picker/src/common/picker.mjs';
export { default as TimePickPanel } from './components/time-picker/src/time-picker-com/panel-time-pick.mjs';
export { PsTimePicker } from './components/time-picker/index.mjs';
export { PsTimeSelect } from './components/time-select/index.mjs';
export { timelineItemProps } from './components/timeline/src/timeline-item2.mjs';
export { PsTimeline, PsTimelineItem } from './components/timeline/index.mjs';
export { useTooltipContentProps, useTooltipProps, useTooltipTriggerProps } from './components/tooltip/src/tooltip.mjs';
export { TOOLTIP_INJECTION_KEY } from './components/tooltip/src/tokens.mjs';
export { PsTooltip } from './components/tooltip/index.mjs';
export { CHANGE_EVENT, INPUT_EVENT, UPDATE_MODEL_EVENT } from './constants/event.mjs';
export { PsTransfer } from './components/transfer/index.mjs';
export { PsTree } from './components/tree/index.mjs';
export { PsTreeSelect } from './components/tree-select/index.mjs';
export { PsTreeV2 } from './components/tree-v2/index.mjs';
export { genFileId, uploadBaseProps, uploadListTypes, uploadProps } from './components/upload/src/upload2.mjs';
export { uploadContentProps } from './components/upload/src/upload-content.mjs';
export { uploadListEmits, uploadListProps } from './components/upload/src/upload-list2.mjs';
export { uploadDraggerEmits, uploadDraggerProps } from './components/upload/src/upload-dragger.mjs';
export { PsUpload } from './components/upload/index.mjs';
export { default as FixedSizeList } from './components/virtual-list/src/components/fixed-size-list.mjs';
export { default as DynamicSizeList } from './components/virtual-list/src/components/dynamic-size-list.mjs';
export { default as FixedSizeGrid } from './components/virtual-list/src/components/fixed-size-grid.mjs';
export { default as DynamicSizeGrid } from './components/virtual-list/src/components/dynamic-size-grid.mjs';
export { virtualizedGridProps, virtualizedListProps, virtualizedProps, virtualizedScrollbarProps } from './components/virtual-list/src/props.mjs';
export { PsInfiniteScroll } from './components/infinite-scroll/index.mjs';
export { PsLoading } from './components/loading/index.mjs';
export { vLoading as PsLoadingDirective, vLoading } from './components/loading/src/directive.mjs';
export { Loading as PsLoadingService } from './components/loading/src/service.mjs';
export { PsPopover, PsPopoverDirective } from './components/popover/index.mjs';
export { EVENT_CODE } from './constants/aria.mjs';
export { WEEK_DAYS, datePickTypes } from './constants/date.mjs';
export { componentSizeMap, componentSizes } from './constants/size.mjs';
export { default as ClickOutside } from './directives/click-outside/index.mjs';
export { default as RepeatClick } from './directives/repeat-click/index.mjs';
export { default as TrapFocus } from './directives/trap-focus/index.mjs';
export { default as Mousewheel } from './directives/mousewheel/index.mjs';
export { default as Resize } from './directives/resize/index.mjs';
export { useAttrs } from './hooks/use-attrs/index.mjs';
export { useDisabled, useSize, useSizeProp } from './hooks/use-common-props/index.mjs';
export { useDeprecated } from './hooks/use-deprecated/index.mjs';
export { useDraggable } from './hooks/use-draggable/index.mjs';
export { useFocus } from './hooks/use-focus/index.mjs';
export { useFormItem } from './hooks/use-form-item/index.mjs';
export { provideGlobalConfig, useGlobalConfig } from './hooks/use-global-config/index.mjs';
export { buildLocaleContext, buildTranslator, translate, useLocale } from './hooks/use-locale/index.mjs';
export { useLockscreen } from './hooks/use-lockscreen/index.mjs';
export { useModal } from './hooks/use-modal/index.mjs';
export { createModelToggleComposable, useModelToggle, useModelToggleEmits, useModelToggleProps } from './hooks/use-model-toggle/index.mjs';
export { usePreventGlobal } from './hooks/use-prevent-global/index.mjs';
export { useProp } from './hooks/use-prop/index.mjs';
export { useRestoreActive } from './hooks/use-restore-active/index.mjs';
export { useSameTarget } from './hooks/use-same-target/index.mjs';
export { useTeleport } from './hooks/use-teleport/index.mjs';
export { useThrottleRender } from './hooks/use-throttle-render/index.mjs';
export { useTimeout } from './hooks/use-timeout/index.mjs';
export { useTransitionFallthrough, useTransitionFallthroughEmits } from './hooks/use-transition-fallthrough/index.mjs';
export { ID_INJECTION_KEY, useId } from './hooks/use-id/index.mjs';
export { useEscapeKeydown } from './hooks/use-escape-keydown/index.mjs';
export { POPPER_CONTAINER_ID, POPPER_CONTAINER_SELECTOR, usePopperContainer } from './hooks/use-popper-container/index.mjs';
export { useDelayedRender } from './hooks/use-intermediate-render/index.mjs';
export { useDelayedToggle, useDelayedToggleProps } from './hooks/use-delayed-toggle/index.mjs';
export { FORWARD_REF_INJECTION_KEY, useForwardRef, useForwardRefDirective } from './hooks/use-forward-ref/index.mjs';
export { useNamespace } from './hooks/use-namespace/index.mjs';
export { useZIndex } from './hooks/use-z-index/index.mjs';
export { arrowMiddleware, getPositionDataWithUnit, useFloating, useFloatingProps } from './hooks/use-floating/index.mjs';
export { useCursor } from './hooks/use-cursor/index.mjs';
export { breadcrumbKey } from './tokens/breadcrumb.mjs';
export { buttonGroupContextKey } from './tokens/button.mjs';
export { carouselContextKey } from './tokens/carousel.mjs';
export { collapseContextKey } from './tokens/collapse.mjs';
export { configProviderContextKey } from './tokens/config-provider.mjs';
export { dialogInjectionKey } from './tokens/dialog.mjs';
export { formContextKey, formItemContextKey } from './tokens/form.mjs';
export { elPaginationKey } from './tokens/pagination.mjs';
export { radioGroupKey } from './tokens/radio.mjs';
export { rowContextKey } from './tokens/row.mjs';
export { scrollbarContextKey } from './tokens/scrollbar.mjs';
export { tabsRootContextKey } from './tokens/tabs.mjs';
export { uploadContextKey } from './tokens/upload.mjs';
export { POPPER_CONTENT_INJECTION_KEY, POPPER_INJECTION_KEY } from './tokens/popper.mjs';
export { TOOLTIP_V2_OPEN, tooltipV2ContentKey, tooltipV2RootKey } from './tokens/tooltip-v2.mjs';

const install = installer.install;
const version = installer.version;

export { install, version };
//# sourceMappingURL=index.mjs.map
