import type { PropType, VNode } from 'vue';
import type { DataItem, Format, Key, Props, TargetOrder } from './transfer';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: PropType<DataItem[]>;
        default: () => never[];
    };
    titles: {
        type: PropType<[string, string]>;
        default: () => never[];
    };
    buttonTexts: {
        type: PropType<[string, string]>;
        default: () => never[];
    };
    filterPlaceholder: {
        type: StringConstructor;
        default: string;
    };
    filterMethod: PropType<(query: string, item: DataItem) => boolean>;
    leftDefaultChecked: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    rightDefaultChecked: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    renderContent: PropType<(h: any, option: any) => VNode>;
    modelValue: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    format: {
        type: PropType<Format>;
        default: () => {};
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    props: {
        type: PropType<Props>;
        default: () => {
            label: string;
            key: string;
            disabled: string;
        };
    };
    targetOrder: {
        type: PropType<TargetOrder>;
        default: string;
        validator: (val: string) => boolean;
    };
}, {
    hasButtonTexts: import("vue").ComputedRef<boolean>;
    leftPanelTitle: import("vue").ComputedRef<string>;
    rightPanelTitle: import("vue").ComputedRef<string>;
    panelFilterPlaceholder: import("vue").ComputedRef<string>;
    leftPanel: import("vue").Ref<({
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            data: unknown[];
            filterable: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: ArrayConstructor;
                default(): never[];
            };
            optionRender: FunctionConstructor;
            placeholder: StringConstructor;
            title: StringConstructor;
            filterable: BooleanConstructor;
            format: ObjectConstructor;
            filterMethod: FunctionConstructor;
            defaultChecked: ArrayConstructor;
            props: ObjectConstructor;
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "data" | "filterable">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: ArrayConstructor;
                default(): never[];
            };
            optionRender: FunctionConstructor;
            placeholder: StringConstructor;
            title: StringConstructor;
            filterable: BooleanConstructor;
            format: ObjectConstructor;
            filterMethod: FunctionConstructor;
            defaultChecked: ArrayConstructor;
            props: ObjectConstructor;
        }>>, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string | undefined) => string;
                m: (modifier?: string | undefined) => string;
                be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
                em: (element?: string | undefined, modifier?: string | undefined) => string;
                bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
                bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
            };
            labelProp: import("vue").ComputedRef<any>;
            keyProp: import("vue").ComputedRef<any>;
            disabledProp: import("vue").ComputedRef<any>;
            filteredData: import("vue").ComputedRef<unknown[]>;
            checkedSummary: import("vue").ComputedRef<any>;
            isIndeterminate: import("vue").ComputedRef<boolean>;
            handleAllCheckedChange: (value: Key[]) => void;
            checked: import("vue").Ref<never[]>;
            allChecked: import("vue").Ref<boolean>;
            query: import("vue").Ref<string>;
            inputHover: import("vue").Ref<boolean>;
            checkChangeByUser: import("vue").Ref<boolean>;
            hasNoMatch: import("vue").ComputedRef<boolean>;
            SearchIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            hasFooter: import("vue").ComputedRef<boolean>;
            t: import("element-ps/es/hooks").Translator;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            data: unknown[];
            filterable: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: ArrayConstructor;
            default(): never[];
        };
        optionRender: FunctionConstructor;
        placeholder: StringConstructor;
        title: StringConstructor;
        filterable: BooleanConstructor;
        format: ObjectConstructor;
        filterMethod: FunctionConstructor;
        defaultChecked: ArrayConstructor;
        props: ObjectConstructor;
    }>> & import("vue").ShallowUnwrapRef<{
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string | undefined) => string;
            m: (modifier?: string | undefined) => string;
            be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
            em: (element?: string | undefined, modifier?: string | undefined) => string;
            bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
            bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
        };
        labelProp: import("vue").ComputedRef<any>;
        keyProp: import("vue").ComputedRef<any>;
        disabledProp: import("vue").ComputedRef<any>;
        filteredData: import("vue").ComputedRef<unknown[]>;
        checkedSummary: import("vue").ComputedRef<any>;
        isIndeterminate: import("vue").ComputedRef<boolean>;
        handleAllCheckedChange: (value: Key[]) => void;
        checked: import("vue").Ref<never[]>;
        allChecked: import("vue").Ref<boolean>;
        query: import("vue").Ref<string>;
        inputHover: import("vue").Ref<boolean>;
        checkChangeByUser: import("vue").Ref<boolean>;
        hasNoMatch: import("vue").ComputedRef<boolean>;
        SearchIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        hasFooter: import("vue").ComputedRef<boolean>;
        t: import("element-ps/es/hooks").Translator;
    }> & {} & {} & import("vue").ComponentCustomProperties) | undefined>;
    rightPanel: import("vue").Ref<({
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            data: unknown[];
            filterable: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: ArrayConstructor;
                default(): never[];
            };
            optionRender: FunctionConstructor;
            placeholder: StringConstructor;
            title: StringConstructor;
            filterable: BooleanConstructor;
            format: ObjectConstructor;
            filterMethod: FunctionConstructor;
            defaultChecked: ArrayConstructor;
            props: ObjectConstructor;
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "data" | "filterable">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: ArrayConstructor;
                default(): never[];
            };
            optionRender: FunctionConstructor;
            placeholder: StringConstructor;
            title: StringConstructor;
            filterable: BooleanConstructor;
            format: ObjectConstructor;
            filterMethod: FunctionConstructor;
            defaultChecked: ArrayConstructor;
            props: ObjectConstructor;
        }>>, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string | undefined) => string;
                m: (modifier?: string | undefined) => string;
                be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
                em: (element?: string | undefined, modifier?: string | undefined) => string;
                bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
                bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
            };
            labelProp: import("vue").ComputedRef<any>;
            keyProp: import("vue").ComputedRef<any>;
            disabledProp: import("vue").ComputedRef<any>;
            filteredData: import("vue").ComputedRef<unknown[]>;
            checkedSummary: import("vue").ComputedRef<any>;
            isIndeterminate: import("vue").ComputedRef<boolean>;
            handleAllCheckedChange: (value: Key[]) => void;
            checked: import("vue").Ref<never[]>;
            allChecked: import("vue").Ref<boolean>;
            query: import("vue").Ref<string>;
            inputHover: import("vue").Ref<boolean>;
            checkChangeByUser: import("vue").Ref<boolean>;
            hasNoMatch: import("vue").ComputedRef<boolean>;
            SearchIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            hasFooter: import("vue").ComputedRef<boolean>;
            t: import("element-ps/es/hooks").Translator;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            data: unknown[];
            filterable: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: ArrayConstructor;
            default(): never[];
        };
        optionRender: FunctionConstructor;
        placeholder: StringConstructor;
        title: StringConstructor;
        filterable: BooleanConstructor;
        format: ObjectConstructor;
        filterMethod: FunctionConstructor;
        defaultChecked: ArrayConstructor;
        props: ObjectConstructor;
    }>> & import("vue").ShallowUnwrapRef<{
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string | undefined) => string;
            m: (modifier?: string | undefined) => string;
            be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
            em: (element?: string | undefined, modifier?: string | undefined) => string;
            bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
            bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
        };
        labelProp: import("vue").ComputedRef<any>;
        keyProp: import("vue").ComputedRef<any>;
        disabledProp: import("vue").ComputedRef<any>;
        filteredData: import("vue").ComputedRef<unknown[]>;
        checkedSummary: import("vue").ComputedRef<any>;
        isIndeterminate: import("vue").ComputedRef<boolean>;
        handleAllCheckedChange: (value: Key[]) => void;
        checked: import("vue").Ref<never[]>;
        allChecked: import("vue").Ref<boolean>;
        query: import("vue").Ref<string>;
        inputHover: import("vue").Ref<boolean>;
        checkChangeByUser: import("vue").Ref<boolean>;
        hasNoMatch: import("vue").ComputedRef<boolean>;
        SearchIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        hasFooter: import("vue").ComputedRef<boolean>;
        t: import("element-ps/es/hooks").Translator;
    }> & {} & {} & import("vue").ComponentCustomProperties) | undefined>;
    optionRender: import("vue").ComputedRef<(option: any) => VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]>;
    leftChecked: import("vue").Ref<never[]>;
    rightChecked: import("vue").Ref<never[]>;
    ns: {
        namespace: import("vue").ComputedRef<string>;
        b: (blockSuffix?: string) => string;
        e: (element?: string | undefined) => string;
        m: (modifier?: string | undefined) => string;
        be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
        em: (element?: string | undefined, modifier?: string | undefined) => string;
        bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
        bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
        is: {
            (name: string, state: boolean | undefined): string;
            (name: string): string;
        };
    };
    sourceData: import("vue").ComputedRef<DataItem[]>;
    targetData: import("vue").ComputedRef<DataItem[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: PropType<DataItem[]>;
        default: () => never[];
    };
    titles: {
        type: PropType<[string, string]>;
        default: () => never[];
    };
    buttonTexts: {
        type: PropType<[string, string]>;
        default: () => never[];
    };
    filterPlaceholder: {
        type: StringConstructor;
        default: string;
    };
    filterMethod: PropType<(query: string, item: DataItem) => boolean>;
    leftDefaultChecked: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    rightDefaultChecked: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    renderContent: PropType<(h: any, option: any) => VNode>;
    modelValue: {
        type: PropType<Key[]>;
        default: () => never[];
    };
    format: {
        type: PropType<Format>;
        default: () => {};
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    props: {
        type: PropType<Props>;
        default: () => {
            label: string;
            key: string;
            disabled: string;
        };
    };
    targetOrder: {
        type: PropType<TargetOrder>;
        default: string;
        validator: (val: string) => boolean;
    };
}>>, {
    data: DataItem[];
    modelValue: Key[];
    props: Props;
    titles: [string, string];
    filterPlaceholder: string;
    filterable: boolean;
    format: Format;
    buttonTexts: [string, string];
    leftDefaultChecked: Key[];
    rightDefaultChecked: Key[];
    targetOrder: TargetOrder;
}>;
export default _default;
